Name:           ballerburg
Version:        1.2.0
Release:        1%{?dist}
Summary:        Two players, two castles, and a hill in between

License:        GPLv3+
URL:            http://baller.tuxfamily.org/
Source0:        http://download.tuxfamily.org/baller/%{name}-%{version}.tar.gz
Source1:        http://baller.tuxfamily.org/king.png
Source2:        %{name}.desktop
Source3:        %{name}.appdata.xml

BuildRequires:  cmake
BuildRequires:  SDL-devel >= 1.2.0
BuildRequires:  gettext
BuildRequires:  ImageMagick
BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme


%description
Two castles, separated by a mountain, try to defeat each other with their
cannonballs, either by killing the opponent's king or by weakening the
opponent enough so that the king capitulates.

Ballerburg was originally written 1987 by Eckhard Kruse, for the Atari ST
machines (which were brand new computers at that point in time). Over 25
years later, here's finally the adaption of the original source code to
modern operating systems.


%prep
%setup -q


%build
%cmake -DCMAKE_BUILD_TYPE:STRING=Debug .
make %{?_smp_mflags} VERBOSE=1


%install
make install DESTDIR=%{buildroot}

# Install additional docs
install -p -m 644 COPYING.txt LIESMICH.txt README.txt doc/authors.txt \
  %{buildroot}%{_pkgdocdir}

# Install icons
for px in 32 48 64 256; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${px}x${px}/apps
  convert -gravity south \
    -resize ${px}x${px} \
    -extent ${px}x${px} \
    -background white \
    %{SOURCE1} \
    %{buildroot}%{_datadir}/icons/hicolor/${px}x${px}/apps/%{name}.png
done

# Install desktop file
desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE2}

# Install appdata
install -d %{buildroot}%{_datadir}/appdata
install -p -m 0644 %{SOURCE3} \
  %{buildroot}%{_datadir}/appdata
appstream-util validate-relax --nonet \
  %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml


%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man6/ballerburg.6*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%doc %{_pkgdocdir}


%changelog
* Fri Apr 03 2015 Andrea Musuruane <musuruan@gmail.com> - 1.2.0-1
- Updated to new upstream release
- Added appdata file

* Fri Oct 10 2014 Andrea Musuruane <musuruan@gmail.com> - 1.1.0-2
- Dropped cleaning at the beginning of %%install

* Fri Oct 10 2014 Andrea Musuruane <musuruan@gmail.com> - 1.1.0-1
- First release

